pwnage3.1 and purplera1n

Discussion in 'Jailbreaks and iOS Hacks' started by Cap41, Oct 2, 2009.

  1. Cap41 macrumors 6502

    Joined:
    Nov 19, 2008
    #1
    For the people that jailbroke via purplera1n. Can they use the new method to update?

    i have a 3gs 3.0 JB iphone,
     
  2. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #2
    Yes, you can do it regardless of how you jailbroke the phone originally. Even if you didn't jailbreak it at all. :)
     
  3. coolmacguy macrumors regular

    Joined:
    Dec 6, 2002
    #3
    No you have to have jailbroken it, because only a jailbroken phone will accept custom firmware. This is why it will not work if you updated to 3.1 official.
     
  4. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #4
    Yes. /thread ;)

    I have a 3GS jailbroken using purplera1n. I just restored using my PwnageTool-created .ipsw and it works perfectly. I've still got the 04.26.08 baseband so I can unlock and everything else is perfect, too.
     
  5. lionheartednyhc macrumors 65816

    lionheartednyhc

    Joined:
    Jul 13, 2009
    #5
    I wanna do it, but Im nervous it wont work and Ill be stuck on 3.1! Im scurred!
     
  6. mavis macrumors 68040

    mavis

    Joined:
    Jul 30, 2007
    Location:
    Tokyo, Japan
    #6
    Wirelessly posted (iPhone 3GS (White, 32GB): Mozilla/5.0 (iPhone; U; CPU iPhone OS 3_1 like Mac OS X; en-us) AppleWebKit/528.18 (KHTML, like Gecko) Version/4.0 Mobile/7C144 Safari/528.16)

    Why wouldn't it work? It worked just fine here ...
     
  7. lionheartednyhc macrumors 65816

    lionheartednyhc

    Joined:
    Jul 13, 2009
    #7
    Last time I JB, it took me 3 or 4 tries before it worked and didn't freeze. I guess Im worried about this: what happens if it freezes mid pwnage. I don't want to be stuck with stock 3.1
     
  8. vpkb1998 macrumors newbie

    Joined:
    Jul 11, 2009
    #8
    Can someone please clarify. I JB my phone with redsn0w when it was on 3.01, I then upgraded it to 3.1 via iTunes so I lost JB.

    I'm now confused, since my phone was JB before, can I use this new tool even though it's now on 3.1?

    Did they mean your phone has to actually be currently JB on 3.0 or 3.01? The fine print is not clear to me.
     
  9. coolmacguy macrumors regular

    Joined:
    Dec 6, 2002
    #9
    If you got your 3.0 ECID on file with cydia, then you can downgrade to 3.0, jailbreak and then update using this. If not, then you are SOL until they release a new hack for 3.1 official.
     
  10. beaken macrumors member

    Joined:
    Feb 8, 2008
    #10
    Does anyone have the link to downgrade from 3.1 to 3.0.1. I know when I had it on before I had cydia keep the ECID. So How do I go about getting it downgraded?
     
  11. vpkb1998 macrumors newbie

    Joined:
    Jul 11, 2009
    #11
  12. vpkb1998 macrumors newbie

    Joined:
    Jul 11, 2009
    #12
    Actually, start with the "Bypassing the Overlord" first, you need to edit a hosts file.
     
  13. beaken macrumors member

    Joined:
    Feb 8, 2008
    #13
    Yah trying to do that now, but it wont let me save the file.
     
  14. jmann macrumors 604

    jmann

    Joined:
    Dec 8, 2007
    Location:
    bump on a log in a hole in the bottom of the sea
    #14
    He is on 3.0. He can jailbreak the phone regardless of if the phone is currently jailbroken or not, as long as he isn't on 3.1. He just has to create the custom IPSW and DFU the phone and load the firmware.
     
  15. vpkb1998 macrumors newbie

    Joined:
    Jul 11, 2009
    #15
    copy that file to your desktop, make the change there & save, then copy the file back to it's original location - overwrite when prompted (save a copy of the original files somewhere else too)
     

Share This Page